%global source_date_epoch_from_changelog nil
%global srcname jetpytools

Name:           python-%{srcname}
Version:        1.3.0
Release:        1%{?dist}
Summary:        Collection of stuff that's useful in general python programming

License:        MIT-0
URL:            https://github.com/Jaded-Encoding-Thaumaturgy/jetpytools
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz

Patch:  0001-Add-tox-config.patch

BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Collection of stuff that's useful in general python programming.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}
%description -n python3-%{srcname} %{_description}

%prep
%autosetup -S git -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l %{srcname}



%files -n python3-%{srcname} -f %{pyproject_files}
